package com.saki.qq.wtlogin.unpack;

import com.saki.encode.UnPack;
import com.saki.qq.wtlogin.pack.jce.RequestPacket;

import com.saki.qq.taf.jce.JceInputStream;

public class ReGrayUinPro extends RecviePack {

    public RequestPacket pack = new RequestPacket();

    public ReGrayUinPro(byte[] data) {
        super(data);
        UnPack un = new UnPack(data);
        un.getInt();
        int len = un.getInt();
        if (len == un.length() + 4) {
            JceInputStream in = new JceInputStream(un.getAll());
            pack.readFrom(in);
        }
    }

}
